> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Unsuspend an ACS User

> [Unsuspends](https://docs.seam.co/low-level-apis/access-systems/user-management/suspending-and-unsuspending-users#unsuspend-an-acs-user) a specified suspended [access system user](https://docs.seam.co/low-level-apis/access-systems/user-management). While [suspending an access system user](https://docs.seam.co/api/acs/users/suspend) revokes their access temporarily, unsuspending the access system user restores their access.



## OpenAPI

````yaml /openapi.json post /acs/users/unsuspend
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/users/unsuspend:
    post:
      tags:
        - /acs
      summary: Unsuspend an ACS User
      description: >-
        [Unsuspends](https://docs.seam.co/low-level-apis/access-systems/user-management/suspending-and-unsuspending-users#unsuspend-an-acs-user)
        a specified suspended [access system
        user](https://docs.seam.co/low-level-apis/access-systems/user-management).
        While [suspending an access system
        user](https://docs.seam.co/api/acs/users/suspend) revokes their access
        temporarily, unsuspending the access system user restores their access.
      operationId: acsUsersUnsuspendPost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_system_id:
                  description: >-
                    ID of the access system of the user that you want to
                    unsuspend. You can only provide acs_system_id with
                    user_identity_id.
                  format: uuid
                  type: string
                acs_user_id:
                  description: >-
                    ID of the access system user that you want to unsuspend. You
                    can only provide acs_user_id or the combination of
                    acs_system_id and user_identity_id.
                  format: uuid
                  type: string
                user_identity_id:
                  description: >-
                    ID of the user identity that you want to unsuspend. You can
                    only provide acs_user_id or the combination of acs_system_id
                    and user_identity_id.
                  format: uuid
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - api_key: []
        - pat_with_workspace: []
        - console_session_with_workspace: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.users.unsuspend({
              user_identity_id: "6a42fbcf-da1a-40f8-8221-596774f97537",
              acs_system_id: "264ea3f9-e483-469e-aada-c98c094d5521",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/users/unsuspend" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "user_identity_id": "6a42fbcf-da1a-40f8-8221-596774f97537",
              "acs_system_id": "264ea3f9-e483-469e-aada-c98c094d5521"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.acs.users.unsuspend(
                user_identity_id="6a42fbcf-da1a-40f8-8221-596774f97537",
                acs_system_id="264ea3f9-e483-469e-aada-c98c094d5521",
            )

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.acs.users.unsuspend(
              user_identity_id: "6a42fbcf-da1a-40f8-8221-596774f97537",
              acs_system_id: "264ea3f9-e483-469e-aada-c98c094d5521",
            )

            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->users->unsuspend(
                user_identity_id: "6a42fbcf-da1a-40f8-8221-596774f97537",
                acs_system_id: "264ea3f9-e483-469e-aada-c98c094d5521",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs users unsuspend --user_identity_id
            "6a42fbcf-da1a-40f8-8221-596774f97537" --acs_system_id
            "264ea3f9-e483-469e-aada-c98c094d5521"


            # {}
components:
  securitySchemes:
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http

````